#ifndef HEADER_DH_H
#include <openssl/dh.h>
#endif
DH *get_dh512()
	{
	static unsigned char dh512_p[]={
		0xE7,0xA8,0x59,0x4E,0xEE,0xF0,0x72,0x98,0x61,0x76,0x37,0x40,
		0x6B,0x49,0x18,0x48,0xCA,0x21,0x70,0xB0,0x0B,0x0E,0xBB,0x6D,
		0xB9,0x2D,0xC6,0x36,0x69,0xED,0x97,0x9D,0xC3,0x5D,0x46,0x6A,
		0x11,0xC5,0xAB,0x80,0x98,0x24,0x6A,0xB1,0x98,0x61,0xD5,0xBD,
		0x04,0x28,0x27,0x4C,0x1E,0xC3,0xB7,0x20,0x89,0xCE,0xD8,0x91,
		0xCC,0x94,0xE0,0xF3,
		};
	static unsigned char dh512_g[]={
		0x02,
		};
	DH *dh;

	if ((dh=DH_new()) == NULL) return(NULL);
	dh->p=BN_bin2bn(dh512_p,sizeof(dh512_p),NULL);
	dh->g=BN_bin2bn(dh512_g,sizeof(dh512_g),NULL);
	if ((dh->p == NULL) || (dh->g == NULL))
		{ DH_free(dh); return(NULL); }
	return(dh);
	}
